Page MenuHomePhabricator

Provide osm mapdata service
Closed, ResolvedPublic

Description

There are a number of usecase that require extracting individual OSM data. For example, we may want to draw an outline of a city, and the browser should be able to get this data from Kartotherian. My understanding is that this data is stored in the OSM as a relation. I was told that OSM IDs are not very stable, so I think wikidata IDs would provide a much better IDing mechanism. Also, I think we should target topojson format from the start, as it will offer a significant bandwidth optimization.

Code is at https://github.com/kartotherian/kartotherian-geoshapes

Details

Related Gerrit Patches:
operations/puppet : productionConfigure Kartotherian geoshapes support

Event Timeline

Yurik created this task.May 1 2016, 12:01 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMay 1 2016, 12:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik claimed this task.Jun 19 2016, 2:55 AM
Yurik updated the task description. (Show Details)

Change 295602 had a related patch set uploaded (by Yurik):
Configure Kartotherian geoshapes support

https://gerrit.wikimedia.org/r/295602

Change 295602 merged by Gehel:
Configure Kartotherian geoshapes support

https://gerrit.wikimedia.org/r/295602

Yurik closed this task as Resolved.Sep 5 2016, 7:45 PM